%define gi_major 1.0
%define girname %mklibname %{name}-gir %{gi_major}

%global __provides_exclude_from %{_libdir}/eom/plugins/.*\\.so

%global build_cflags %{build_cflags} -Wno-deprecated-declarations

Name:       eom
Version:    1.28.0
Release:    %mkrel 3
Summary:    Eye of MATE image viewer
Group:      Graphical desktop/MATE
License:    GPLv2+ and LGPLv2+
URL:        https://mate-desktop.org/
Source0:    https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Patch1:     eom-girepository-2.0.patch
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(gtk+-unix-print-3.0)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gdk-pixbuf-2.0)
BuildRequires: pkgconfig(libexif)
BuildRequires: pkgconfig(exempi-2.0)
BuildRequires: pkgconfig(libart-2.0)
BuildRequires: pkgconfig(xt)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(librsvg-2.0)
BuildRequires: pkgconfig(mate-desktop-2.0) >= %{url_ver}
BuildRequires: pkgconfig(lcms2)
BuildRequires: pkgconfig(gsettings-desktop-schemas)
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(shared-mime-info)
BuildRequires: pkgconfig(girepository-2.0)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(libpeas-1.0)
BuildRequires: pkgconfig(libpeas-gtk-1.0)
BuildRequires: pkgconfig(libjpeg)
BuildRequires: itstool
BuildRequires: mate-common
BuildRequires: yelp-devel

Requires: librsvg
Requires: mate-icon-theme
Requires: gsettings-desktop-schemas
Requires: mate-desktop-schemas >= %{url_ver}

Requires: typelib(Peas) = 1.0
Requires: typelib(PeasGtk) = 1.0
Requires: typelib(Eom)

%description
This is the Eye of MATE, an image viewer program.
It is meant to be a fast and functional image viewer.

Eye of MATE is a fork of Eye of GNOME.

%package -n %{girname}
Summary: GObject Introspection interface description for %{name}
Group: System/Libraries
Requires: %{name} = %{version}

%description -n %{girname}
GObject Introspection interface description for %{name}

%package    devel
Summary:    C headers needed to build EOM plugins
Group:      Development/C
Requires:   %{name} = %{version}-%{release}
Requires:   %{girname} = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}

%description devel
The Eye of MATE image viewer (eom) is the official image viewer for the
MATE desktop. This package allows you to develop plugins that add new
functionality to eom.

%prep
%autosetup -p1

%build
autoconf -fi
%configure \
    --disable-static \
    --with-x \
    --enable-introspection \
    --with-cms \
    --disable-schemas-compile

%make_build

%install
%make_install

%find_lang %{name} --with-gnome

%files -f %name.lang
%doc AUTHORS COPYING NEWS README
%{_bindir}/eom
%{_mandir}/man1/eom.*
%dir %{_libdir}/eom/
%dir %{_libdir}/eom/plugins/
%{_libdir}/eom/plugins/fullscreen.plugin
%{_libdir}/eom/plugins/libfullscreen.so
%{_libdir}/eom/plugins/reload.plugin
%{_libdir}/eom/plugins/libreload.so
%{_libdir}/eom/plugins/statusbar-date.plugin
%{_libdir}/eom/plugins/libstatusbar-date.so
%{_datadir}/applications/eom.desktop
%{_datadir}/metainfo/eom.appdata.xml
%{_datadir}/eom/
%{_datadir}/icons/hicolor/*/apps/eom.*
%{_datadir}/glib-2.0/schemas/org.mate.eom.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.eom.enums.xml

%files -n %{girname}
%{_libdir}/girepository-1.0/Eom-%{gi_major}.typelib

%files devel
%doc %{_datadir}/gtk-doc/html/eom/
%{_libdir}/pkgconfig/eom.pc
%{_includedir}/eom-2.20/
%{_datadir}/gir-1.0/Eom-%{gi_major}.gir


%changelog
* Sun Mar 23 2025 wally <wally> 1.28.0-3.mga10
+ Revision: 2169297
- port to girepository-2.0

* Sun Mar 16 2025 wally <wally> 1.28.0-2.mga10
+ Revision: 2164774
- rebuild for libxml2 2.13.6

* Sun Mar 24 2024 wally <wally> 1.28.0-1.mga10
+ Revision: 2051805
- new version 1.28.0

* Tue May 30 2023 kekepower <kekepower> 1.26.1-1.mga9
+ Revision: 1959810
- Update to version 1.26.1

* Thu Mar 31 2022 umeabot <umeabot> 1.26.0-2.mga9
+ Revision: 1837020
- Mageia 9 Mass Rebuild

* Mon Aug 09 2021 wally <wally> 1.26.0-1.mga9
+ Revision: 1740910
- new version 1.26.0

* Mon Apr 05 2021 kekepower <kekepower> 1.24.2-1.mga9
+ Revision: 1713556
- Update to version 1.24.2

* Mon Aug 24 2020 kekepower <kekepower> 1.24.1-1.mga8
+ Revision: 1618689
- Update to version 1.24.1
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 21 2020 umeabot <umeabot> 1.24.0-2.mga8
+ Revision: 1548004
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 kekepower <kekepower> 1.24.0-1.mga8
+ Revision: 1488756
- Update to version 1.24.0
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Dec 10 2019 kekepower <kekepower> 1.22.2-1.mga8
+ Revision: 1465666
- Update to version 1.22.2

* Mon Sep 16 2019 tv <tv> 1.22.1-3.mga8
+ Revision: 1441869
- rebuild for libpeas

* Wed Aug 07 2019 tv <tv> 1.22.1-2.mga8
+ Revision: 1427973
- rebuild for new libpeas

* Fri May 10 2019 kekepower <kekepower> 1.22.1-1.mga7
+ Revision: 1397026
- Update to version 1.22.1

* Wed Mar 13 2019 kekepower <kekepower> 1.22.0-2.mga7
+ Revision: 1375495
- Update to version 1.22.0

* Sun Jan 13 2019 kekepower <kekepower> 1.20.2-2.mga7
+ Revision: 1356067
- Rebuild for new exempi

* Sun Dec 16 2018 daviddavid <daviddavid> 1.20.2-1.mga7
+ Revision: 1341566
- new version: 1.20.2

* Sat Dec 01 2018 kekepower <kekepower> 1.20.1-1.mga7
+ Revision: 1337236
- Update to version 1.20.1
- Rolled back to r1297612

* Mon Nov 26 2018 kekepower <kekepower> 1.21.2-1.mga7
+ Revision: 1335508
- Update to version 1.21.1

* Sun Sep 23 2018 umeabot <umeabot> 1.20.0-3.mga7
+ Revision: 1297612
- Mageia 7 Mass Rebuild
+ wally <wally>
- drop old obsoletes/conflicts

* Mon Mar 19 2018 kekepower <kekepower> 1.20.0-2.mga7
+ Revision: 1210351
- Rebuild for new exempi

* Thu Feb 15 2018 tarakbumba <tarakbumba> 1.20.0-1.mga7
+ Revision: 1201385
- Updated to 1.20.0 version

* Sun Oct 29 2017 tarakbumba <tarakbumba> 1.19.1-1.mga7
+ Revision: 1174672
- Update to 1.19.1 version

* Wed Sep 13 2017 cjw <cjw> 1.18.2-2.mga7
+ Revision: 1153364
- rebuild for new find_lang

* Wed May 17 2017 tarakbumba <tarakbumba> 1.18.2-1.mga6
+ Revision: 1102420
- Update to 1.18.2 version

* Sat Apr 08 2017 wally <wally> 1.18.1-2.mga6
+ Revision: 1096105
- require mate-desktop-schemas (mga#20640)
- require typelib pkgs for Peas, PeasGtk and Eom

* Wed Apr 05 2017 tarakbumba <tarakbumba> 1.18.1-1.mga6
+ Revision: 1096004
- Update to 1.18.1 version

* Tue Mar 14 2017 tarakbumba <tarakbumba> 1.18.0-1.mga6
+ Revision: 1092616
- Update to 1.18.0 version
- Updated to 1.17.2 version

* Tue Dec 13 2016 wally <wally> 1.16.0-1.mga6
+ Revision: 1074801
- new version 1.16.0
- build with gtk3
- drop python support as it requires pygtk-2.0 and doesn't build with gtk3
- move docs to devel pkg

* Sun May 22 2016 tarakbumba <tarakbumba> 1.14.1-1.mga6
+ Revision: 1017834
- Update to 1.14.1 version

* Thu Apr 14 2016 tarakbumba <tarakbumba> 1.14.0-1.mga6
+ Revision: 1001236
- Update to 1.14.0 version

* Fri Feb 26 2016 tarakbumba <tarakbumba> 1.13.1-1.mga6
+ Revision: 979312
- Update to 1.13.1 version

* Fri Feb 12 2016 tarakbumba <tarakbumba> 1.13.0-3.mga6
+ Revision: 959139
- Rebuild for fixed gtk+2

* Thu Feb 11 2016 tarakbumba <tarakbumba> 1.13.0-2.mga6
+ Revision: 955877
- Fix integer overflow: CVE-2013-7447

* Mon Feb 08 2016 tarakbumba <tarakbumba> 1.13.0-1.mga6
+ Revision: 947795
- Update to 1.13.0 version

* Mon Dec 07 2015 tarakbumba <tarakbumba> 1.12.1-1.mga6
+ Revision: 908669
- Update to 1.12.1 version

* Sun Nov 08 2015 tarakbumba <tarakbumba> 1.12.0-1.mga6
+ Revision: 899207
-Update to 1.12.0 version

* Thu Oct 08 2015 tarakbumba <tarakbumba> 1.10.5-1.mga6
+ Revision: 887852
- Update to 1.10.5 version

* Tue Oct 06 2015 tarakbumba <tarakbumba> 1.10.4-1.mga6
+ Revision: 886653
- Update to 1.10.4 version

* Tue Sep 01 2015 wally <wally> 1.10.3-1.mga6
+ Revision: 872004
- new version 1.10.3
- move .gir file to devel pkg

* Sun Jun 21 2015 tarakbumba <tarakbumba> 1.10.2-1.mga6
+ Revision: 837907
- Update to 1.10.2 version

* Wed Oct 15 2014 umeabot <umeabot> 1.8.1-2.mga5
+ Revision: 740638
- Second Mageia 5 Mass Rebuild

* Mon Sep 29 2014 tarakbumba <tarakbumba> 1.8.1-1.mga5
+ Revision: 731549
- Update to 1.8.1 version
- Use autosetup macro in specfile

* Tue Sep 16 2014 umeabot <umeabot> 1.8.0-3.mga5
+ Revision: 679017
- Mageia 5 Mass Rebuild

* Sat Mar 08 2014 wally <wally> 1.8.0-2.mga5
+ Revision: 601157
- fix obsoleting old mate-image-viewer

* Wed Mar 05 2014 tarakbumba <tarakbumba> 1.8.0-1.mga5
+ Revision: 600095
- Updated to version 1.8.0

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-1.mga5
+ Revision: 598272
-Update to 1.7.x version
- imported package eom

